Bug 80181 - [BlackBerry] Make accelerated compositing work again with direct rendering
Summary: [BlackBerry] Make accelerated compositing work again with direct rendering
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jakob Petsovits
URL: http://www.webkit.org/blog-files/3d-t...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-02 12:21 PST by Jakob Petsovits
Modified: 2012-03-05 08:37 PST (History)
3 users (show)

See Also:


Attachments
Patch (14.22 KB, patch)
2012-03-02 12:29 PST, Jakob Petsovits
no flags Details | Formatted Diff | Diff
Same patch, with updated changelog diff (14.26 KB, patch)
2012-03-05 07:48 PST, Jakob Petsovits
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jakob Petsovits 2012-03-02 12:21:03 PST
When the backingstore is disabled, accelerated compositing is currently really broken on the BlackBerry port.
Patch coming up to fix (many parts of) this problem.
Comment 1 Jakob Petsovits 2012-03-02 12:29:00 PST
Created attachment 129938 [details]
Patch
Comment 2 Antonio Gomes 2012-03-04 08:21:34 PST
Comment on attachment 129938 [details]
Patch

patch does not apply
Comment 3 Jakob Petsovits 2012-03-05 07:48:04 PST
Created attachment 130132 [details]
Same patch, with updated changelog diff

I believe the last patch just didn't apply because Arvid's patch from bug 79020 wasn't in at the time. Trying again with a version that's just updating the ChangeLog diff (and adding [BlackBerry] there), everything else is the same though.
Comment 4 WebKit Review Bot 2012-03-05 08:09:09 PST
Comment on attachment 130132 [details]
Same patch, with updated changelog diff

Rejecting attachment 130132 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
emotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 109747 = 7cd898d46788eb5e7a4234796ec715cd8457ba85
r109748 = 5422070cd70305c35846ca39f76be2fcc5e9b591
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
RA layer request failed: OPTIONS of 'http://svn.webkit.org/repository/webkit': could not connect to server (http://svn.webkit.org) at /usr/lib/git-core/git-svn line 2295

Died at Tools/Scripts/update-webkit line 164.

Full output: http://queues.webkit.org/results/11819024
Comment 5 WebKit Review Bot 2012-03-05 08:37:52 PST
Comment on attachment 130132 [details]
Same patch, with updated changelog diff

Clearing flags on attachment: 130132

Committed r109751: <http://trac.webkit.org/changeset/109751>
Comment 6 WebKit Review Bot 2012-03-05 08:37:58 PST
All reviewed patches have been landed.  Closing bug.